#
# spec file for package tclplug
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tclplug
BuildRequires:  autoconf
BuildRequires:  tk-devel
Requires:       tcl
Requires:       tk
Requires:       web_browser
Summary:        Tcl/Tk Plug-In for Netscape Navigator
License:        BSD-3-Clause
Group:          Development/Libraries/Tcl
Version:        3.1.0
Release:        78.5
Source:         tclplugin-3.1.0-20060613-tar.bz2
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With this plug-in, download special Tcl/Tk scripts (also known as
tclets) from the Internet and execute them inside your browser like
Java applets.

Find the documentation in /opt/netscape/tclplug/2.0/doc.



Authors:
--------
    Sunscript <sunscript-plugin@sunscript.sun.com>

%prep
%setup -q -n tclplugin

%build
autoconf
CFLAGS="%optflags -fno-strict-aliasing" \
./configure \
	--prefix=/usr \
	--with-tcl=%_libdir \
	--with-tk=%_libdir
make libdir=%_libdir/tcl

%install
make install \
	DESTDIR=%buildroot \
	NSP_DESTDIR=%_libdir/browser-plugins \
	libdir=%_libdir/tcl

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog changes
%doc doc/features-2.0.txt doc/principles.txt doc/oldFAQ doc/license.terms
%_libdir/browser-plugins/*
%_libdir/tcl

%changelog
* Sun Oct 19 2014 crrodriguez@opensuse.org
- remove xorg-x11-devel from buildrequires, unused.
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Mon Feb  1 2010 jengelh@medozas.de
- Package baselibs.conf
* Fri Apr  4 2008 max@suse.de
- Update to version 3.1.0 from CVS, which works with Tcl/Tk 8.5.
* Wed Feb  8 2006 max@suse.de
- Fix a crash due to new gcc optimisations (tclplug-stubs.patch).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 max@suse.de
- Updated the source tarball to the latest CVS snapshot (3.0.2).
- Fixed a typo in tcl.m4 that broke configure with bash 3.1.
* Thu Jul 28 2005 max@suse.de
- Moved the script library to /usr/share/tcl .
* Fri Apr  1 2005 max@suse.de
- Updated to the latest CVS snapshot.
* Fri Mar 18 2005 max@suse.de
- Added dependency on tcl and tk.
* Thu Mar  4 2004 max@suse.de
- Updated to the latest CVS snapshot.
- Building as a non-root user.
* Wed Jul 23 2003 max@suse.de
- Added tk-devel to neededforbuild.
* Thu Jun 12 2003 kukuk@suse.de
- Fix filelist
* Mon Feb 24 2003 ro@suse.de
- use /usr/lib/browser-plugins
- require web_browser (not specific to mozilla)
* Fri Feb 21 2003 max@suse.de
- Added tk to neededforbuild.
* Fri Feb 21 2003 max@suse.de
- New version 3.0 from CVS snapshot.
- The old one didn't work with mozilla.
- The package becomes much smaller, because it now uses the
  Tcl/Tk installation on the system instead of having it's own.
* Wed Aug 14 2002 max@suse.de
- Using Mozilla instead of Netscape (Bug #17428).
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Tue Dec 19 2000 max@suse.de
- fixed race condition in tcl8.0/unix/tclUnixPipe.c
* Fri Jul  7 2000 kukuk@suse.de
- fix build on SPARC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May  5 1999 ro@suse.de
- added glibc-2.1 fix for tclPosixStr
* Sat Nov 21 1998 max@suse.de
- new package, version 2.0
